/* glt_trim.p - Trim glt_desc                                                */
/*                                                                           */
/* Copyright Boundless Technologies. All Rights Reserved.                    */
/* Supported by Boundless                                                    */
/*                                                                           */
/* Author:      Robert Archard       (Boundless)                             */
/*                                                                           */
/*V8:ConvertMode=FullGUIReport                                               */
/*                                                                           */
/*Parameters:                                                                */
/*                                                                           */
/* MM/DD/YY rev# ref    Description                                     Init */
/* -------- ---- ------ ----------------------------------------------- ---- */
/* 10/05/06 1.00        New maintenance program                         RDA  */

{mfdtitle.i "1.00"}

define variable rupdate like mfc_logical label "Update" initial no no-undo.
define variable cnt1 as integer label "Found" format ">>,>>>,>>9" no-undo.
define variable tlen as integer label "Trimmed" format ">,>>>,>>>,>>9" no-undo.
define variable vtable as character initial "glt_det" format "x(7)" label "Table" no-undo.

define buffer gltdet for glt_det.

form
   "This maintenance program will trim excess space characters" colon 5
   "from the glt_desc field.  MFG/Pro has a bug where is will" colon 5
   "add unecessary leading and trailing spaces." colon 5 skip(2)
   rupdate colon 40 skip(1)
   with frame a side-labels width 80.

{wbrp01.i}

repeat:
   if c-application-mode <> 'web':u then
       update
           rupdate
       with frame a.

   {wbrp06.i &command = update &fields = "rupdate" &frm = "a"}

   if (c-application-mode <> 'web':u) or
       (c-application-mode = 'web':u and
       (c-web-request begins 'data':u)) then do:

       bcdparm = "".
       {mfquoter.i rupdate}
   end.

   /* SELECT PRINTER */
   {mfselbpr.i "printer" 80}
   {mfphead.i}

   assign
     cnt1 = 0
     tlen = 0.

   for each glt_det
      fields(glt_desc)
      where length(glt_desc) <> length(trim(glt_desc," "))
      no-lock:

      assign
         cnt1 = cnt1 + 1
         tlen = tlen + length(glt_desc) - length(trim(glt_desc," ")).

      if rupdate then do trans:
         find first gltdet where rowid(gltdet) = rowid(glt_det) exclusive-lock no-error.
         gltdet.glt_desc = trim(gltdet.glt_desc).
      end.

      {mfrpexit.i}
   end.

   display vtable cnt1 tlen with width 80 frame r1.

   {mfrtrail.i}
end.

{wbrp04.i &frame-spec = a}
